FactoryGirl.define do
  # to_create do |instance|
  #   raise "Save failed for #{instance.class} (#{instance.errors.full_messages.inspect})" if !instance.save
  # end

  factory :traveler do
    name { MFaker::Name.name }

    %i(location current_location).each{|lm|
      trait(:"with_#{lm}") {
        send(:"#{lm}_attributes") { { zip: random_zip } } } }
    %i(locations location_history).each{|lm|
      trait(:"with_#{lm}") {
        with_current_location if lm == :location_history
        send(:"#{lm}_attributes") { [ { zip: random_zip } ] } } }

    # trait :with_photo do
    #   gallery_attributes {
    #     attributes_for :polygallery_gallery, :with_photo }
    # end
    #
    # trait :with_photos do
    #   gallery_attributes {
    #     attributes_for :polygallery_gallery, :with_photos }
    # end
    #
    # trait :with_custom_photo do
    #   custom_gallery_attributes { 
    #     attributes_for :polygallery_gallery,
    #       :with_photo, :title => 'custom_gallery' }
    # end
    #
    # trait :with_custom_photos do
    #   custom_gallery_attributes {
    #     attributes_for :polygallery_gallery,
    #       :with_photos, title: 'custom_gallery' }
    # end

  end
end
